Metrics

Get Dashboard Filter Suggestions

POST
/v0/project/{idOrSlug}/metrics/filter-suggestions

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v0/project/string/metrics/filter-suggestions" \  -H "Content-Type: application/json" \  -d '{    "fields": [      "string"    ]  }'
{
  "property1": {
    "values": [
      "string"
    ],
    "numericRange": {
      "min": 0,
      "max": 0
    }
  },
  "property2": {
    "values": [
      "string"
    ],
    "numericRange": {
      "min": 0,
      "max": 0
    }
  }
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}
{
  "_tag": "InternalServerError",
  "message": "string"
}